Package org.eclipse.net4j.db

# Class Batch

java.lang.Object
org.eclipse.net4j.db.Batch

All Implemented Interfaces:
  `AutoCloseable`

public final class Batch extends Object implements AutoCloseable

Since:
  4.11
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Batch(Connection connection, String... sqls)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String sql)`
`void`
`clear()`
`void`
`close()`
`int[]`
`execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Batch

public Batch(Connection connection, String... sqls)

## Method Details

### add

public void add(String sql)

### clear

public void clear()

### execute

public int[] execute()

### close

public void close() throws DBException

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `DBException`